# Logging: K:/Projekte/robotic/arduino/arduino_1-0Patch/libraries/Logging/Logging.h File Reference

# K:/Projekte/robotic/arduino/arduino_1-0Patch/libraries/Logging/Logging.h File Reference

`#include <inttypes.h>`
`#include <stdarg.h>`
`#include "WProgram.h"`
`#include <avr/io.h>`

Include dependency graph for Logging.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Logging

## Defines

#define | LOG_LEVEL_NOOUTPUT 0
#define | LOG_LEVEL_ERRORS 1
#define | LOG_LEVEL_INFOS 2
#define | LOG_LEVEL_DEBUG 3
#define | LOG_LEVEL_VERBOSE 4
#define | LOGLEVEL LOG_LEVEL_DEBUG
#define | CR "\r\n"
#define | LOGGING_VERSION 1

## Variables

Logging | Log

## Define Documentation

#define CR "\r\n"

Definition at line 26 of file Logging.h.

#define LOG_LEVEL_DEBUG 3

Definition at line 19 of file Logging.h.

Referenced by Logging::Debug().

#define LOG_LEVEL_ERRORS 1

Definition at line 17 of file Logging.h.

Referenced by Logging::Error().

#define LOG_LEVEL_INFOS 2

Definition at line 18 of file Logging.h.

Referenced by Logging::Info().

#define LOG_LEVEL_NOOUTPUT 0

Definition at line 16 of file Logging.h.

Referenced by Logging::Init().

#define LOG_LEVEL_VERBOSE 4

Definition at line 20 of file Logging.h.

Referenced by Logging::Init(), and Logging::Verbose().

#define LOGGING_VERSION 1

Definition at line 27 of file Logging.h.

#define LOGLEVEL LOG_LEVEL_DEBUG

Definition at line 23 of file Logging.h.

## Variable Documentation

Logging Log

Definition at line 117 of file Logging.cpp.